body {
    font-size: 1rem;
    background: #f5f5f5;
}

.ultree {
    position: relative;
    background: white;
    margin-top: 20px;
    padding: 30px;

    font-size: .85rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
}

.ultree li {
    list-style-type:none;
    padding-left: 24px;
    background-image: url(../image/tree-folder.svg);
    background-position:0 0;
    background-repeat: no-repeat;
    background-size: 20px 20px;
}

.ultree ul {
    position:relative;
    margin:0;
    margin-left: 1.5em;
    padding:0;
}

.ultree ul::before {
    content:"";
    position:absolute;
    top:0;
    left:0;
    height:100%;
    border-left: 1px solid #333;
}

.ultree ul li {
    list-style-type:none;
    position: relative;
    padding-left: 3em;
    background-image: url(../image/tree-folder.svg);
    background-position: 1.4em 0.2em;
    background-repeat: no-repeat;
    background-size: 16px 16px;
}

.ultree ul li::before {
    content:"";
    position: absolute;
    top:0.7em;
    left:0;
    width: 1em;
    border-top: 1px solid #333;
}

.ultree ul li ul li {
    list-style-type:none;
    position: relative;
    padding-left: 3em;
    background-image: url(../image/tree-file.svg);
    background-position: 1.4em 0.2em;
    background-repeat: no-repeat;
    background-size: 16px 16px;
}

/* .ultree ul li ul li ul li {
    list-style-type:none;
    position: relative;
    padding-left: 3em;
    background-image: url(../svg/file.svg);
    background-position: 1.4em 0.2em;
    background-repeat: no-repeat;
    background-size: 16px 16px;
} */

.ultree ul li:first-child {
    padding: 0.8em 0 0 3em;
    background-position: 1.5em 1em;
}

.ultree ul li:first-child::before {
    top:1.4em;
    padding-top: 1.5em;
}

.ultree ul li:last-child::before {
    height:100%;
    background-color: #FFF;
}
